# GP_SETTINGS.PY
# Dominic Ford
# 27/04/2006

settings_default = {'ORIGINX':0.0,
                    'ORIGINY':0.0,
                    'MULTIPLOT':'OFF',
                    'TITLE':'',
                    'TIT_XOFF':0.0,    # x offset of title
                    'TIT_YOFF':0.0,
                    'TERMTYPE':'X11_singlewindow',
                    'OUTPUT':'gnuplot.eps',
                    'WIDTH':8.0,       # Width of output / cm
                    'ASPECT':1.0,      # Aspect ratio of plot
                    'AUTOASPECT':'ON', # Use PyX default aspect ratio
                    'POINTSIZE':1.0,   # Default pointsize
                    'POINTLINEWIDTH':1.0, # Default linewidth used for drawing points
                    'LINEWIDTH':1.0,   # Default linewidth
                    'DATASTYLE':'points',
                    'FUNCSTYLE':'lines',
                    'SAMPLES':250,
                    'COLOUR':'ON',
                    'KEY':'ON',
                    'KEYPOS':'TOP RIGHT',
                    'KEY_XOFF':0.0,
                    'KEY_YOFF':0.0,
                    'GRID':'OFF'}

settings = settings_default.copy()

default_axis = {'LABEL':'',
                'AUTOSCALE':'ON',
                'MIN':-10.0,
                'MAX':10.0,
                'LOG':'OFF'}

# By default, have one of each kind of axis... x1, y1 and z1
axes = {'x':{1:default_axis.copy()},
        'y':{1:default_axis.copy()},
        'z':{1:default_axis.copy()} }

linestyles = {} # User-defined linestyles
arrows     = {} # Arrows superposed on figure
labels     = {} # Text labels

variables  = {'pi':3.1415928} # User-defined variables
functions  = {}               # User-defined functions

cwd = ""                      # User's cwd
